# Generated from ffi-1.3.1.gem by gem2rpm -*- rpm-spec -*-
%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name oj
%global rubyabi 1.9.1

Summary: Ruby OJ
Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 2.12.14
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: http://www.ohler.com/oj/
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
Requires: %{?scl_prefix}ruby(rubygems) 
Requires: %{?scl_prefix}ruby >= 1.8.7
BuildRequires: %{?scl_prefix}rubygems-devel 
BuildRequires: %{?scl_prefix}ruby-devel 
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
The fastest JSON parser and object serializer.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%setup -n %{pkg_name}-%{version} -q -c -T
mkdir -p .%{gem_dir}
export CONFIGURE_ARGS="--with-cflags='%{optflags}'"
%{?scl:scl enable %{scl} "}
gem install --local --install-dir .%{gem_dir} \
            -V \
            --force %{SOURCE0}
%{?scl:"}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir}/lib
# TODO: move the extensions
##mv %{buildroot}%{gem_instdir}/lib/shared_object.so %{buildroot}%{gem_extdir}/lib/



# Remove the binary extension sources and build leftovers.
rm -rf %{buildroot}%{gem_instdir}/ext

%files
%dir %{gem_instdir}
%{gem_libdir}
%{gem_extdir}
%exclude %{gem_cache}
%{gem_spec}
%{gem_instdir}/LICENSE
%{gem_instdir}/README.md

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/test

%changelog
* Mon Sep 28 2015 Josko Plazonic <plazonic@princeton.edu> 2.12.14-1
- initial build
